---
title: Function.arguments
slug: Web/JavaScript/Reference/Global_Objects/Function/arguments
tags:
  - Deprecated
  - Function
  - JavaScript
  - Property
  - arguments
---
<div>{{JSRef}} {{deprecated_header}}</div>

<p>The <code><strong><em>function</em>.arguments</strong></code> property refers to an array-like object corresponding to the arguments passed to a function. Use the simple variable {{jsxref("Functions/arguments", "arguments")}} instead. This property is restricted to non-strict functions.</p>

<h2 id="Description">Description</h2>

<p>The syntax <code><em>function</em>.arguments</code> is deprecated. The recommended way to access the {{jsxref("Functions/arguments", "arguments")}} object available within functions is to refer to the variable {{jsxref("Functions/arguments", "arguments")}}.</p>

<p>In the case of recursion, i.e. if function <code>f</code> appears several times on the call stack, the value of <code>f.arguments</code> represents the arguments corresponding to the most recent invocation of the function.</p>

<p>The value of the arguments property is normally null if there is no outstanding invocation of the function in progress (that is, the function has been called but has not yet returned.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_arguments_object">Using the arguments object</h3>

<pre class="brush: js">function f(n) { g(n - 1) }

function g(n) {
  console.log('before: ' + g.arguments[0])
  if (n &gt; 0) { f(n) }
  console.log('after: ' + g.arguments[0])
}

f(2)

console.log('returned: ' + g.arguments)

// Output

// before: 1
// before: 0
// after: 0
// after: 1
// returned: null
</pre>

<h2 id="Specifications">Specifications</h2>

<p><span class="pl-s">Not part of any standard.</span> Deprecated in favor of {{jsxref("Functions/arguments", "arguments")}} in ECMAScript 3.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Function.arguments")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Functions/arguments", "arguments")}} object</li>
 <li>{{jsxref("Functions", "Functions and function scope", "", 1)}}</li>
</ul>
